@import url("https://fonts.googleapis.com/css2?family=Edu+AU+VIC+WA+NT+Arrows:wght@400..700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Yuji+Mai&display=swap");

.iphone_frame {
	display: flex;
	align-items: center;
	padding: 30px;
	/* background-image: url('/images/Apple-iPhone-15-Frame-PNG.png'); */
	background-size: contain;
	background-position: center;
	width: 100%;
	height: 0;
	padding-bottom: 180%;
	max-width: 100vw;
	margin: 0 auto;
	position: relative;
	background-repeat: no-repeat;
	perspective: 1000px;
	overflow: hidden;
}

.iphone_back_frame {
	transform: rotateY(0deg);
	backface-visibility: hidden;
	transition: transform 0.6s;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 1;
}

.iphone_front_frame {
	transform: rotateY(180deg);
	backface-visibility: hidden;
	transition: transform 1.6s;
	position: absolute;
	top: 0;
	left: 0;
	width: 80%;
	height: 100%;
	z-index: 0;
}

.iphone_frame.flipped .iphone_back_frame {
	transform: rotateY(0deg);
	z-index: 1;
}

.iphone_frame.flipped .iphone_front_frame {
	transform: rotateY(180deg);
	z-index: 0;
}

.category-list {
	list-style: none;
	padding: 0;
	margin: 0;
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	grid-template-rows: repeat(3, 1fr);
	grid-gap: 0px;
	position: fixed;
	top: 43.5%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 80%;
	font-family: "Poppins", serif;
}

.category-item {
	margin: 5px;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

.category-item a {
	display: block;
	text-align: center;
}

/* .category-item img {
	width: 92%;
	height: auto;
	margin-bottom: 10px;
	background-color: azure;
} */

.category-item p {
	text-align: center;
	margin-top: 0.8rem;
	font-size: 0.6rem;
	font-weight: 600;
	width: 100%;
	height: 30px;
	line-height: 0.9rem;
	color: #000;
}

.image_iphone_icon {
	width: 1.8rem;
	height: 1.8rem;
	margin: 0 auto;
	display: block;
	border-radius: 20%;
	box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.category-item a {
	position: relative;
	width: 40px;
	height: 40px;
	background-color: #ffffff;
	border-radius: 20%;
	display: grid;
	place-content: center;
	transition: all 0.3s linear;
	overflow: hidden;
	cursor: pointer;
	z-index: 1000;
	color: azure;
	font-size: 1.3rem;
}

.category-item a:hover{
	transform: scale(1.2);
}

.category-item a:after {
	position: absolute;
	content: "";
	bottom: -100%;
	left: -100%;
	width: 100%;
	aspect-ratio: 1;
	background-color: #ff781f;
	transition: all 0.3s linear;
	z-index: -1;
	border-radius: 20%;
}
.category-item a:hover {
	box-shadow: 2px 3px 5px 0.5px rgb(145, 143, 143);
}
.category-item a:hover:after {
	bottom: 0;
	left: 0;
}

/* .image_iphone_icon:hover {
	transform: scale(1.1);
	transition: all 0.3s ease-in-out;
} */

/* .nametxt {
	overflow: hidden;
	font-size: 0.6rem;
	font-weight: 300;
	display: none;
	position: absolute;
	color: #000;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	text-align: center;
	z-index: 1;
} */

/* .category-item:hover .image_iphone_icon {
	display: none;
	transition: all 0.5s ease-in-out;
} */

/* .category-item:hover .nametxt {
	display: block;
} */

/* Responsive adjustments */
@media only screen and (max-width: 768px) {
	.nametxt {
		font-size: 1.2rem; /* Moderate font size for medium screens */
	}
}

@media only screen and (max-width: 480px) {
	.image_iphone_icon {
		width: 30px;
		height: 30px;
	}
	.nametxt {
		font-size: 0.9rem; /* Adjust font size for small screens */
	}
}

@media only screen and (min-width: 990px) {
	.nametxt {
		font-size: 0.5rem; /* Adjust font size for larger screens */
		line-height: normal;
	}
}

.wmain_sidebar {
	position: relative;
	width: 100%;
	height: 100%;
}
